computer-janitor-gtk crashed with TypeError in verify()

Bug #591433 reported by xteejx on 2010-06-08
102
This bug affects 16 people
Affects Status Importance Assigned to Milestone
computer-janitor (Ubuntu)
Medium
Barry Warsaw

Bug Description

Binary package hint: computer-janitor

Computer Janitor crashed when being closed

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: computer-janitor-gtk 2.0.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-1.1-generic 2.6.35-rc1
Uname: Linux 2.6.35-1-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CheckboxSubmission: c4ec36026e45b9e7d8a473844878a77c
CheckboxSystem: 2e4ab5fb96eeb897d439b8ef1239668e
Date: Tue Jun 8 21:07:55 2010
ExecutablePath: /usr/share/computerjanitor/computer-janitor-gtk
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/computerjanitor/computer-janitor-gtk
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/computerjanitor/computer-janitor-gtk']
SourcePackage: computer-janitor
Title: computer-janitor-gtk crashed with TypeError in verify()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: removed: need-duplicate-check
Changed in computer-janitor (Ubuntu):
importance: Undecided → Medium
visibility: private → public

Confirmed from duplicates.

Changed in computer-janitor (Ubuntu):
status: New → Confirmed
Barry Warsaw (barry) wrote :

This occurs if you de-select all package and other cruft, so that there's actually nothing to clean up.

Barry Warsaw (barry) on 2011-02-15
Changed in computer-janitor (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
milestone: none → natty-alpha-3
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package computer-janitor - 2.0.5-0ubuntu1

---------------
computer-janitor (2.0.5-0ubuntu1) natty; urgency=low

  * python-dbus cannot type-convert a set, so use a tuple for the package
    set when --all is given to the computer-janitor cli. (LP: #601585)
  * Fix exceptoin when the user de-selects all cruft in the ui, then clicks
    on the 'Do' button. Instead, a dialog pops up that says there's nothing
    to do. (LP: #591433)
  * Clean up some unused imports.
 -- Barry Warsaw <email address hidden> Tue, 15 Feb 2011 17:21:58 -0500

Changed in computer-janitor (Ubuntu):
status: Fix Committed → Fix Released
Léa GRIS (lea-gris) wrote :

Please, where is the updated package for Ubuntu 10.10?

This bug was fixed in the version stated above. It also states that this bug was fixed in Natty. Please wait until it is released in 1 month.

???Описание ошибке

Binary package hint: computer-janitor Двоичные намек пакет: компьютер-дворник

Computer Janitor crashed when being closed Компьютер Дворник разбился, когда закрываются

ProblemType: Crash ProblemType: Crash
DistroRelease: Ubuntu 10.10 DistroRelease: Ubuntu 10,10
Package: computer- Пакет: компьютер- janitor- дворник- gtk 2.0.2-0ubuntu1 GTK 2.0.2-0ubuntu1
ProcVersionSign ProcVersionSign ature: Ubuntu 2.6.35-1.1-generic 2.6.35-rc1 температура: Ubuntu 2.6.35-1.1-родовой 2.6.35-rc1
Uname: Linux 2.6.35-1-generic i686 Uname: Linux 2.6.35-1-i686 общего
NonfreeKernelMo NonfreeKernelMo dules: nvidia Модули:: NVIDIA
Architecture: i386 Архитектура: i386
CheckboxSubmission: c4ec36026e45b9e CheckboxSubmission: c4ec36026e45b9e 7d8a473844878a7 7d8a473844878a7 7c 7c
CheckboxSystem: 2e4ab5fb96eeb89 CheckboxSystem: 2e4ab5fb96eeb89 7d439b8ef123966 7d439b8ef123966 8e 8e
Date: Tue Jun 8 21:07:55 2010 Дата: вт 8 июня 2010 21:07:55
ExecutablePath: /usr/share/ ExecutablePath: / USR / доли / computerjanitor computerjanitor /computer- / Компьютер- janitor- дворник- gtk GTK
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429) InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - релиз i386 (20100429)
InterpreterPath: /usr/bin/python2.6 InterpreterPath: / usr/bin/python2.6
PackageArchitec PackageArchitec ture: all температуры: все
ProcCmdline: /usr/bin/python /usr/share/ ProcCmdline: / USR / BIN / Python / USR / доли / computerjanitor computerjanitor /computer- / Компьютер- janitor- дворник- gtk GTK
ProcEnviron: ProcEnviron:
LANG=en_GB.utf8 LANG = en_GB.utf8
SHELL=/bin/bash SHELL = / BIN / Bash
PythonArgs: ['/usr/ PythonArgs: / USR ['/ share/computerj Доля / computerj anitor/ anitor / computer- компьютер- janitor- дворник- gtk'] GTK ']
SourcePackage: computer-janitor SourcePackage: компьютер-дворник
Title: computer- Название: компьютер- janitor- дворник- gtk crashed with TypeError in verify() GTK столкнулся с TypeError в проверить ()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare Группы: ADM администратора CDROM DialOut lpadmin plugdev sambashare

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers